Generate chapters
curl --request POST \
--url https://{your-subdomain}.neetorecord.com/api/external/v2/recordings/{id}/trigger-chapters \
--header 'Accept: <accept>' \
--header 'X-Api-Key: <x-api-key>'const options = {method: 'POST', headers: {'X-Api-Key': '<x-api-key>', Accept: '<accept>'}};
fetch('https://{your-subdomain}.neetorecord.com/api/external/v2/recordings/{id}/trigger-chapters', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{your-subdomain}.neetorecord.com/api/external/v2/recordings/{id}/trigger-chapters"
headers = {
"X-Api-Key": "<x-api-key>",
"Accept": "<accept>"
}
response = requests.post(url, headers=headers)
print(response.text){
"recording_id": "x9y8z7w6v5u4t3s2",
"status": "triggered"
}{
"error": "You are not authorized to perform this action."
}{
"error": "Recording does not exist."
}Recordings
Generate chapters
Queues chapter generation. Chapters are derived from the transcript, so generate the transcript first when the recording does not have one. Generation runs in the background, so poll GET /recordings/{id}/chapter-status for the outcome.
POST
/
recordings
/
{id}
/
trigger-chapters
Generate chapters
curl --request POST \
--url https://{your-subdomain}.neetorecord.com/api/external/v2/recordings/{id}/trigger-chapters \
--header 'Accept: <accept>' \
--header 'X-Api-Key: <x-api-key>'const options = {method: 'POST', headers: {'X-Api-Key': '<x-api-key>', Accept: '<accept>'}};
fetch('https://{your-subdomain}.neetorecord.com/api/external/v2/recordings/{id}/trigger-chapters', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{your-subdomain}.neetorecord.com/api/external/v2/recordings/{id}/trigger-chapters"
headers = {
"X-Api-Key": "<x-api-key>",
"Accept": "<accept>"
}
response = requests.post(url, headers=headers)
print(response.text){
"recording_id": "x9y8z7w6v5u4t3s2",
"status": "triggered"
}{
"error": "You are not authorized to perform this action."
}{
"error": "Recording does not exist."
}Replace
Learn how to find your subdomain in Workspace subdomain.
{your-subdomain} with your workspace’s subdomain. Learn how to find your subdomain in Workspace subdomain.
Headers
API key. Refer to Authentication for more information.
Must be application/json.
Available options:
application/json Path Parameters
The recording's id (UUID) or its public_link_id (the short code in the watch URL). Both are accepted.